# SoMFPath Class Reference
[Field classes]

`#include <Inventor/fields/SoMFPath.h>`

Inheritance diagram for SoMFPath:

List of all members.

## Detailed Description

The SoMFPath class is a container for paths.

This field container stores an array of pointers to paths. It takes care of the necessary functionality for handling copy, import and export operations.

Note that path pointers stored in field instances of this type may be `NULL` pointers.

See also:
  SoPath, SoSFPath

## Public Member Functions

virtual void | notify (SoNotList *l)
virtual void | fixCopy (SbBool copyconnections)
virtual SbBool | referencesCopy (void) const
virtual void | deleteValues (int start, int num=-1)
virtual void | insertSpace (int start, int num)

## Static Public Member Functions

void | initClass (void)

## Member Function Documentation

void SoMFPath::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoMField.

void SoMFPath::notify | ( | SoNotList * | l | ) | `[virtual]`

| Notify auditors that this field has changed. Reimplemented from SoField.

void SoMFPath::fixCopy | ( | SbBool | copyconnections | ) | `[virtual]`

This method is internally called after SoField::copyFrom() during scene graph copies, and should do the operations necessary for fixing up the field instance after it has gotten a new value.

The default method in the SoField superclass does nothing.

The application programmer should normally not need to consider this method, unless he constructs a complex field type which contains new references to container instances (i.e. nodes or engines). Overriding this method is then necessary to update the reference pointers, as they could have been duplicated during the copy operation.

Reimplemented from SoField.

SbBool SoMFPath::referencesCopy | ( | void |  | ) | const`[virtual]`

| Returns `TRUE` if this field has references to any containers in the scene graph which are also duplicated during the copy operation. Note that this method only is valid to call during copy operations. See also the note about the relevance of the fixCopy() method for application programmers, as it is applicable on this method aswell. Reimplemented from SoField.

virtual void SoMFPath::deleteValues | ( | int | start,
|  | int | num = -1
| ) | `[virtual]`

| Remove value elements from index start up to and including index start + num - 1. Elements with indices larger than the last deleted element will be moved downwards in the value array. If num equals -1, delete from index start and to the end of the array. Reimplemented from SoMField.

virtual void SoMFPath::insertSpace | ( | int | start,
|  | int | num
| ) | `[virtual]`

| Insert num "slots" for new value elements from start. The elements already present from start will be moved "upward" in the extended array. Reimplemented from SoMField.

The documentation for this class was generated from the following files:

- SoMFPath.h
- SoMFPath.cpp